void SetStorylineRumours(ref i)
{
	int tmpLangFileID = LanguageOpenFile(GetStorylinePath(FindCurrentStoryline()) + "rumour_strings.txt");



	Rumour[i].id = "Toff";
	Rumour[i].text = LanguageConvertString(tmpLangFileID,"Oh, did you hear about poor Toff Oremans and his daughter? She took up with a pirate, which is bad enough... but now she's disappeared! Her father's inconsolable... you'll probably find him at the Douwesen tavern, drowning his sorrows away...");
	Rumour[i].state = "active";
	Rumour[i].loc = "Douwesen";
	Rumour[i].chance = 100;
	i++;

	Rumour[i].id = "BP_Start";
	Rumour[i].text = LanguageConvertString(tmpLangFileID,"Well, I'm not one for superstition... but it's like this: you hear something once, and you ignore it; twice, and it's coincidence... but three times, and I'm beginning to believe. So I'm beginning to believe there is a ghost ship out there, after all... and I'm staying on land until she's dealt with, that's for sure!");
	Rumour[i].state = "active";
	Rumour[i].loc = "all";
	Rumour[i].chance = 100;
	i++;

	Rumour[i].id = "Ship_off_FDF";
	Rumour[i].text = LanguageConvertString(tmpLangFileID,"Oh, it is terrible! There's a commerce raider sitting right off our shores, just waiting for a juicy merchantman to snatch. The governor's been trying to find someone to deal with her once and for all... Perhaps you could help?");
	Rumour[i].state = "active";
	Rumour[i].loc = "FalaiseDeFleur";
	Rumour[i].chance = 100;
	i++;

	Rumour[i].id = "Lucas"; // KK
	Rumour[i].text = LanguageConvertString(tmpLangFileID,"Oh, have you heard about poor Admiral da Saldanha? He comes all the way from Old Spain to the New World to be with his son... and he arrives to find his son missing! I am sure you would earn his undying gratitude, and that of the governor, if you could but help him.");
	Rumour[i].state = "active";
	Rumour[i].loc = "IslaMuelle";
	Rumour[i].chance = 100;
	i++;

	LanguageCloseFile(tmpLangFileID);
}
