/* Estharos Modification March, 2009
- Towns with no codes after there name, means no street merchant for this town
- Add specific named street merchant into this file for easier acces
- All StreetMerchant models have been reassigned
- Organise the characters per town in alphabetic order from Antigua to Willemstad for easier search
*/

void CreateStreetMerchantsCharacters(ref n)
{	
	object chobj;
	ref ch;

	makeref(ch, chobj);
	
	ch.old.name = "Patric";
	ch.old.lastname = "Cardone";
	ch.name = TranslateString("","Patric");
	ch.lastname = TranslateString("","Cardone");
	ch.id		= "Patric Cardone";
	ch.model = "bocman4"; // Estharos Change from fatman1 to this model
	ch.sound_type = "merchant";
	ch.sex = "man";
	ch.sound_type = "merchant";
	ch.location	= "Falaise_de_fleur_location_03";
	ch.location.group = "merchant";
	ch.location.locator = "merchant1";
	ch.Dialog.Filename = "patric cardone_dialog.c"; //NK reenable Patric, needed for smuggler quest
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "3";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.money.quest = "0";
	ch.quest.meeting = "0";
	ch.quest.teodoro = "0";
	LAi_SetMerchantType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	ch.greeting = "Gr_Patric Cardone";
	AddGameCharacter(n, ch);
}
